import {
    a as _t
} from "./chunk-3RVRTJK2.js";
import {
    e as Tt
} from "./chunk-2F2DP6Z5.js";
import {
    Ca as vt,
    Ka as mt,
    L as ht,
    La as D,
    Qa as X,
    S as gt,
    T as ft,
    Ta as x,
    U as R,
    Wa as wt,
    Xa as yt,
    aa as tt,
    c as dt,
    db as nt,
    ea as A,
    eb as kt,
    ja as et,
    ta as it
} from "./chunk-XPOKHL3M.js";
import {
    B as J,
    k as G,
    r as bt,
    s as pt,
    y as $
} from "./chunk-OYJWBUYU.js";
import {
    $b as P,
    Ab as _,
    Cb as F,
    Eb as lt,
    Gb as E,
    Jb as T,
    Kb as L,
    Lb as M,
    Ob as Z,
    Pb as O,
    Pc as b,
    Qc as U,
    Sc as r,
    Tc as ut,
    X as I,
    Y as z,
    Ya as u,
    Yb as k,
    Z as Q,
    Zb as V,
    _b as S,
    ca as d,
    cc as q,
    dc as C,
    ec as l,
    fc as c,
    gb as H,
    ka as f,
    la as v,
    lb as m,
    mb as K,
    na as h,
    ob as st,
    pb as w,
    qb as rt,
    rb as y,
    sc as W,
    ta as ot,
    uc as ct,
    wa as B,
    xa as at,
    ya as j,
    zb as s
} from "./chunk-SSI6PFOR.js";
var Vt = ["previcon"],
    Dt = ["nexticon"],
    Ft = ["content"],
    Et = ["prevButton"],
    Mt = ["nextButton"],
    Ot = ["inkbar"],
    St = ["tabs"],
    N = ["*"],
    Pt = t => ({
        "p-tablist-viewport": t
    });

function Rt(t, g) {
    t & 1 && Z(0)
}

function At(t, g) {
    if (t & 1 && y(0, Rt, 1, 0, "ng-container", 11), t & 2) {
        let e = V(2);
        _("ngTemplateOutlet", e.prevIconTemplate || e._prevIconTemplate)
    }
}

function Nt(t, g) {
    t & 1 && M(0, "ChevronLeftIcon")
}

function zt(t, g) {
    if (t & 1) {
        let e = O();
        T(0, "button", 10, 3), k("click", function() {
            f(e);
            let i = V();
            return v(i.onPrevButtonClick())
        }), y(2, At, 1, 1, "ng-container")(3, Nt, 1, 0, "ChevronLeftIcon"), L()
    }
    if (t & 2) {
        let e = V();
        s("aria-label", e.prevButtonAriaLabel)("tabindex", e.tabindex())("data-pc-group-section", "navigator"), u(2), E(e.prevIconTemplate || e._prevIconTemplate ? 2 : 3)
    }
}

function Qt(t, g) {
    t & 1 && Z(0)
}

function jt(t, g) {
    if (t & 1 && y(0, Qt, 1, 0, "ng-container", 11), t & 2) {
        let e = V(2);
        _("ngTemplateOutlet", e.nextIconTemplate || e._nextIconTemplate)
    }
}

function Ht(t, g) {
    t & 1 && M(0, "ChevronRightIcon")
}

function Kt(t, g) {
    if (t & 1) {
        let e = O();
        T(0, "button", 12, 4), k("click", function() {
            f(e);
            let i = V();
            return v(i.onNextButtonClick())
        }), y(2, jt, 1, 1, "ng-container")(3, Ht, 1, 0, "ChevronRightIcon"), L()
    }
    if (t & 2) {
        let e = V();
        s("aria-label", e.nextButtonAriaLabel)("tabindex", e.tabindex())("data-pc-group-section", "navigator"), u(2), E(e.nextIconTemplate || e._nextIconTemplate ? 2 : 3)
    }
}

function qt(t, g) {
    t & 1 && P(0)
}
var Wt = ({
        dt: t
    }) => `
.p-tabs {
    display: flex;
    flex-direction: column;
}

.p-tablist {
    display: flex;
    position: relative;
}

.p-tabs-scrollable > .p-tablist {
    overflow: hidden;
}

.p-tablist-viewport {
    overflow-x: auto;
    overflow-y: hidden;
    scroll-behavior: smooth;
    scrollbar-width: none;
    overscroll-behavior: contain auto;
}

.p-tablist-viewport::-webkit-scrollbar {
    display: none;
}

.p-tablist-tab-list {
    position: relative;
    display: flex;
    background: ${t("tabs.tablist.background")};
    border-style: solid;
    border-color: ${t("tabs.tablist.border.color")};
    border-width: ${t("tabs.tablist.border.width")};
}

.p-tablist-content {
    flex-grow: 1;
}

.p-tablist-nav-button {
    all: unset;
    position: absolute !important;
    flex-shrink: 0;
    top: 0;
    z-index: 2;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: ${t("tabs.nav.button.background")};
    color: ${t("tabs.nav.button.color")};
    width: ${t("tabs.nav.button.width")};
    transition: color ${t("tabs.transition.duration")}, outline-color ${t("tabs.transition.duration")}, box-shadow ${t("tabs.transition.duration")};
    box-shadow: ${t("tabs.nav.button.shadow")};
    outline-color: transparent;
    cursor: pointer;
}

.p-tablist-nav-button:focus-visible {
    z-index: 1;
    box-shadow: ${t("tabs.nav.button.focus.ring.shadow")};
    outline: ${t("tabs.nav.button.focus.ring.width")} ${t("tabs.nav.button.focus.ring.style")} ${t("tabs.nav.button.focus.ring.color")};
    outline-offset: ${t("tabs.nav.button.focus.ring.offset")};
}

.p-tablist-nav-button:hover {
    color: ${t("tabs.nav.button.hover.color")};
}

.p-tablist-prev-button {
    left: 0;
}

.p-tablist-next-button {
    right: 0;
}

.p-tab {
    display: flex;
    align-items: center;
    flex-shrink: 0;
    cursor: pointer;
    user-select: none;
    position: relative;
    border-style: solid;
    white-space: nowrap;
    gap: ${t("tabs.tab.gap")};
    background: ${t("tabs.tab.background")};
    border-width: ${t("tabs.tab.border.width")};
    border-color: ${t("tabs.tab.border.color")};
    color: ${t("tabs.tab.color")};
    padding: ${t("tabs.tab.padding")};
    font-weight: ${t("tabs.tab.font.weight")};
    transition: background ${t("tabs.transition.duration")}, border-color ${t("tabs.transition.duration")}, color ${t("tabs.transition.duration")}, outline-color ${t("tabs.transition.duration")}, box-shadow ${t("tabs.transition.duration")};
    margin: ${t("tabs.tab.margin")};
    outline-color: transparent;
}

.p-tab:not(.p-disabled):focus-visible {
    z-index: 1;
    box-shadow: ${t("tabs.tab.focus.ring.shadow")};
    outline: ${t("tabs.tab.focus.ring.width")} ${t("tabs.tab.focus.ring.style")} ${t("tabs.tab.focus.ring.color")};
    outline-offset: ${t("tabs.tab.focus.ring.offset")};
}

.p-tab:not(.p-tab-active):not(.p-disabled):hover {
    background: ${t("tabs.tab.hover.background")};
    border-color: ${t("tabs.tab.hover.border.color")};
    color: ${t("tabs.tab.hover.color")};
}

.p-tab-active {
    background: ${t("tabs.tab.active.background")};
    border-color: ${t("tabs.tab.active.border.color")};
    color: ${t("tabs.tab.active.color")};
}

.p-tabpanels {
    background: ${t("tabs.tabpanel.background")};
    color: ${t("tabs.tabpanel.color")};
    padding: ${t("tabs.tabpanel.padding")};
    outline: 0 none;
}

.p-tabpanel:focus-visible {
    box-shadow: ${t("tabs.tabpanel.focus.ring.shadow")};
    outline: ${t("tabs.tabpanel.focus.ring.width")} ${t("tabs.tabpanel.focus.ring.style")} ${t("tabs.tabpanel.focus.ring.color")};
    outline-offset: ${t("tabs.tabpanel.focus.ring.offset")};
}

.p-tablist-active-bar {
    z-index: 1;
    display: block;
    position: absolute;
    bottom: ${t("tabs.active.bar.bottom")};
    height: ${t("tabs.active.bar.height")};
    background: ${t("tabs.active.bar.background")};
    transition: 250ms cubic-bezier(0.35, 0, 0.25, 1);
}
`,
    Ut = {
        root: ({
            props: t
        }) => ["p-tabs p-component", {
            "p-tabs-scrollable": t.scrollable
        }]
    },
    Ct = (() => {
        class t extends X {
            name = "tabs";
            theme = Wt;
            classes = Ut;
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275prov = z({
                token: t,
                factory: t.\u0275fac
            })
        }
        return t
    })();
var xt = (() => {
        class t extends x {
            prevIconTemplate;
            nextIconTemplate;
            templates;
            content;
            prevButton;
            nextButton;
            inkbar;
            tabs;
            pcTabs = d(I(() => Y));
            isPrevButtonEnabled = j(!1);
            isNextButtonEnabled = j(!1);
            resizeObserver;
            showNavigators = r(() => this.pcTabs.showNavigators());
            tabindex = r(() => this.pcTabs.tabindex());
            scrollable = r(() => this.pcTabs.scrollable());
            constructor() {
                super(), ut(() => {
                    this.pcTabs.value(), J(this.platformId) && setTimeout(() => {
                        this.updateInkBar()
                    })
                })
            }
            get prevButtonAriaLabel() {
                return this.config.translation.aria.previous
            }
            get nextButtonAriaLabel() {
                return this.config.translation.aria.next
            }
            ngAfterViewInit() {
                super.ngAfterViewInit(), this.showNavigators() && J(this.platformId) && (this.updateButtonState(), this.bindResizeObserver())
            }
            _prevIconTemplate;
            _nextIconTemplate;
            ngAfterContentInit() {
                this.templates.forEach(e => {
                    switch (e.getType()) {
                        case "previcon":
                            this._prevIconTemplate = e.template;
                            break;
                        case "nexticon":
                            this._nextIconTemplate = e.template;
                            break
                    }
                })
            }
            ngOnDestroy() {
                this.unbindResizeObserver(), super.ngOnDestroy()
            }
            onScroll(e) {
                this.showNavigators() && this.updateButtonState(), e.preventDefault()
            }
            onPrevButtonClick() {
                let e = this.content.nativeElement,
                    n = A(e),
                    i = Math.abs(e.scrollLeft) - n,
                    o = i <= 0 ? 0 : i;
                e.scrollLeft = et(e) ? -1 * o : o
            }
            onNextButtonClick() {
                let e = this.content.nativeElement,
                    n = A(e) - this.getVisibleButtonWidths(),
                    i = e.scrollLeft + n,
                    o = e.scrollWidth - n,
                    a = i >= o ? o : i;
                e.scrollLeft = et(e) ? -1 * a : a
            }
            updateButtonState() {
                let e = this.content ? .nativeElement,
                    n = this.el ? .nativeElement,
                    {
                        scrollWidth: i,
                        offsetWidth: o
                    } = e,
                    a = Math.abs(e.scrollLeft),
                    p = A(e);
                this.isPrevButtonEnabled.set(a !== 0), this.isNextButtonEnabled.set(n.offsetWidth >= o && a !== i - p)
            }
            updateInkBar() {
                let e = this.content ? .nativeElement,
                    n = this.inkbar ? .nativeElement,
                    i = this.tabs ? .nativeElement,
                    o = gt(e, '[data-pc-name="tab"][data-p-active="true"]');
                n && (n.style.width = ht(o) + "px", n.style.left = tt(o).left - tt(i).left + "px")
            }
            getVisibleButtonWidths() {
                let e = this.prevButton ? .nativeElement,
                    n = this.nextButton ? .nativeElement;
                return [e, n].reduce((i, o) => o ? i + A(o) : i, 0)
            }
            bindResizeObserver() {
                this.resizeObserver = new ResizeObserver(() => this.updateButtonState()), this.resizeObserver.observe(this.el.nativeElement)
            }
            unbindResizeObserver() {
                this.resizeObserver && (this.resizeObserver.unobserve(this.el.nativeElement), this.resizeObserver = null)
            }
            static\ u0275fac = function(n) {
                return new(n || t)
            };
            static\ u0275cmp = m({
                type: t,
                selectors: [
                    ["p-tablist"]
                ],
                contentQueries: function(n, i, o) {
                    if (n & 1 && (q(o, Vt, 4), q(o, Dt, 4), q(o, mt, 4)), n & 2) {
                        let a;
                        l(a = c()) && (i.prevIconTemplate = a.first), l(a = c()) && (i.nextIconTemplate = a.first), l(a = c()) && (i.templates = a)
                    }
                },
                viewQuery: function(n, i) {
                    if (n & 1 && (C(Ft, 5), C(Et, 5), C(Mt, 5), C(Ot, 5), C(St, 5)), n & 2) {
                        let o;
                        l(o = c()) && (i.content = o.first), l(o = c()) && (i.prevButton = o.first), l(o = c()) && (i.nextButton = o.first), l(o = c()) && (i.inkbar = o.first), l(o = c()) && (i.tabs = o.first)
                    }
                },
                hostVars: 5,
                hostBindings: function(n, i) {
                    n & 2 && (s("data-pc-name", "tablist"), F("p-tablist", !0)("p-component", !0))
                },
                features: [w],
                ngContentSelectors: N,
                decls: 9,
                vars: 6,
                consts: [
                    ["content", ""],
                    ["tabs", ""],
                    ["inkbar", ""],
                    ["prevButton", ""],
                    ["nextButton", ""],
                    ["type", "button", "pRipple", "", 1, "p-tablist-nav-button", "p-tablist-prev-button"],
                    [1, "p-tablist-content", 3, "scroll", "ngClass"],
                    ["role", "tablist", 1, "p-tablist-tab-list"],
                    ["role", "presentation", 1, "p-tablist-active-bar"],
                    ["type", "button", "pRipple", "", 1, "p-tablist-nav-button", "p-tablist-next-button"],
                    ["type", "button", "pRipple", "", 1, "p-tablist-nav-button", "p-tablist-prev-button", 3, "click"],
                    [4, "ngTemplateOutlet"],
                    ["type", "button", "pRipple", "", 1, "p-tablist-nav-button", "p-tablist-next-button", 3, "click"]
                ],
                template: function(n, i) {
                    if (n & 1) {
                        let o = O();
                        S(), y(0, zt, 4, 4, "button", 5), T(1, "div", 6, 0), k("scroll", function(p) {
                            return f(o), v(i.onScroll(p))
                        }), T(3, "div", 7, 1), P(5), M(6, "span", 8, 2), L()(), y(8, Kt, 4, 4, "button", 9)
                    }
                    n & 2 && (E(i.showNavigators() && i.isPrevButtonEnabled() ? 0 : -1), u(), _("ngClass", ct(4, Pt, i.scrollable())), u(5), s("data-pc-section", "inkbar"), u(2), E(i.showNavigators() && i.isNextButtonEnabled() ? 8 : -1))
                },
                dependencies: [$, G, pt, _t, Tt, kt, nt, D],
                encapsulation: 2,
                changeDetection: 0
            })
        }
        return t
    })(),
    Gt = (() => {
        class t extends x {
            value = H();
            disabled = B(!1, {
                transform: b
            });
            pcTabs = d(I(() => Y));
            pcTabList = d(I(() => xt));
            el = d(at);
            ripple = r(() => this.config.ripple());
            id = r(() => `${this.pcTabs.id()}_tab_${this.value()}`);
            ariaControls = r(() => `${this.pcTabs.id()}_tabpanel_${this.value()}`);
            active = r(() => it(this.pcTabs.value(), this.value()));
            tabindex = r(() => this.active() ? this.pcTabs.tabindex() : -1);
            mutationObserver;
            onFocus(e) {
                this.pcTabs.selectOnFocus() && this.changeActiveValue()
            }
            onClick(e) {
                this.changeActiveValue()
            }
            onKeyDown(e) {
                switch (e.code) {
                    case "ArrowRight":
                        this.onArrowRightKey(e);
                        break;
                    case "ArrowLeft":
                        this.onArrowLeftKey(e);
                        break;
                    case "Home":
                        this.onHomeKey(e);
                        break;
                    case "End":
                        this.onEndKey(e);
                        break;
                    case "PageDown":
                        this.onPageDownKey(e);
                        break;
                    case "PageUp":
                        this.onPageUpKey(e);
                        break;
                    case "Enter":
                    case "NumpadEnter":
                    case "Space":
                        this.onEnterKey(e);
                        break;
                    default:
                        break
                }
                e.stopPropagation()
            }
            ngAfterViewInit() {
                super.ngAfterViewInit(), this.bindMutationObserver()
            }
            onArrowRightKey(e) {
                let n = this.findNextTab(e.currentTarget);
                n ? this.changeFocusedTab(e, n) : this.onHomeKey(e), e.preventDefault()
            }
            onArrowLeftKey(e) {
                let n = this.findPrevTab(e.currentTarget);
                n ? this.changeFocusedTab(e, n) : this.onEndKey(e), e.preventDefault()
            }
            onHomeKey(e) {
                let n = this.findFirstTab();
                this.changeFocusedTab(e, n), e.preventDefault()
            }
            onEndKey(e) {
                let n = this.findLastTab();
                this.changeFocusedTab(e, n), e.preventDefault()
            }
            onPageDownKey(e) {
                this.scrollInView(this.findLastTab()), e.preventDefault()
            }
            onPageUpKey(e) {
                this.scrollInView(this.findFirstTab()), e.preventDefault()
            }
            onEnterKey(e) {
                this.changeActiveValue(), e.preventDefault()
            }
            findNextTab(e, n = !1) {
                let i = n ? e : e.nextElementSibling;
                return i ? R(i, "data-p-disabled") || R(i, "data-pc-section") === "inkbar" ? this.findNextTab(i) : i : null
            }
            findPrevTab(e, n = !1) {
                let i = n ? e : e.previousElementSibling;
                return i ? R(i, "data-p-disabled") || R(i, "data-pc-section") === "inkbar" ? this.findPrevTab(i) : i : null
            }
            findFirstTab() {
                return this.findNextTab(this.pcTabList ? .tabs ? .nativeElement ? .firstElementChild, !0)
            }
            findLastTab() {
                return this.findPrevTab(this.pcTabList ? .tabs ? .nativeElement ? .lastElementChild, !0)
            }
            changeActiveValue() {
                this.pcTabs.updateValue(this.value())
            }
            changeFocusedTab(e, n) {
                ft(n), this.scrollInView(n)
            }
            scrollInView(e) {
                e ? .scrollIntoView ? .({
                    block: "nearest"
                })
            }
            bindMutationObserver() {
                J(this.platformId) && (this.mutationObserver = new MutationObserver(e => {
                    e.forEach(() => {
                        this.active() && this.pcTabList ? .updateInkBar()
                    })
                }), this.mutationObserver.observe(this.el.nativeElement, {
                    childList: !0,
                    characterData: !0,
                    subtree: !0
                }))
            }
            unbindMutationObserver() {
                this.mutationObserver.disconnect()
            }
            ngOnDestroy() {
                this.mutationObserver && this.unbindMutationObserver(), super.ngOnDestroy()
            }
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275cmp = m({
                type: t,
                selectors: [
                    ["p-tab"]
                ],
                hostVars: 16,
                hostBindings: function(n, i) {
                    n & 1 && k("focus", function(a) {
                        return i.onFocus(a)
                    })("click", function(a) {
                        return i.onClick(a)
                    })("keydown", function(a) {
                        return i.onKeyDown(a)
                    }), n & 2 && (s("data-pc-name", "tab")("id", i.id())("aria-controls", i.ariaControls())("role", "tab")("aria-selected", i.active())("data-p-disabled", i.disabled())("data-p-active", i.active())("tabindex", i.tabindex()), F("p-tab", !0)("p-tab-active", i.active())("p-disabled", i.disabled())("p-component", !0))
                },
                inputs: {
                    value: [1, "value"],
                    disabled: [1, "disabled"]
                },
                outputs: {
                    value: "valueChange"
                },
                features: [rt([nt]), w],
                ngContentSelectors: N,
                decls: 1,
                vars: 0,
                template: function(n, i) {
                    n & 1 && (S(), P(0))
                },
                dependencies: [$, D],
                encapsulation: 2,
                changeDetection: 0
            })
        }
        return t
    })(),
    Jt = (() => {
        class t extends x {
            pcTabs = d(I(() => Y));
            value = H(void 0);
            id = r(() => `${this.pcTabs.id()}_tabpanel_${this.value()}`);
            ariaLabelledby = r(() => `${this.pcTabs.id()}_tab_${this.value()}`);
            active = r(() => it(this.pcTabs.value(), this.value()));
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275cmp = m({
                type: t,
                selectors: [
                    ["p-tabpanel"]
                ],
                hostVars: 9,
                hostBindings: function(n, i) {
                    n & 2 && (s("data-pc-name", "tabpanel")("id", i.id())("role", "tabpanel")("aria-labelledby", i.ariaLabelledby())("data-p-active", i.active()), F("p-tabpanel", !0)("p-component", !0))
                },
                inputs: {
                    value: [1, "value"]
                },
                outputs: {
                    value: "valueChange"
                },
                features: [w],
                ngContentSelectors: N,
                decls: 1,
                vars: 1,
                template: function(n, i) {
                    n & 1 && (S(), y(0, qt, 1, 0)), n & 2 && E(i.active() ? 0 : -1)
                },
                dependencies: [$],
                encapsulation: 2,
                changeDetection: 0
            })
        }
        return t
    })(),
    Xt = (() => {
        class t extends x {
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275cmp = m({
                type: t,
                selectors: [
                    ["p-tabpanels"]
                ],
                hostVars: 6,
                hostBindings: function(n, i) {
                    n & 2 && (s("data-pc-name", "tabpanels")("role", "presentation"), F("p-tabpanels", !0)("p-component", !0))
                },
                features: [w],
                ngContentSelectors: N,
                decls: 1,
                vars: 0,
                template: function(n, i) {
                    n & 1 && (S(), P(0))
                },
                dependencies: [$],
                encapsulation: 2,
                changeDetection: 0
            })
        }
        return t
    })(),
    Y = (() => {
        class t extends x {
            value = H(void 0);
            scrollable = B(!1, {
                transform: b
            });
            lazy = B(!1, {
                transform: b
            });
            selectOnFocus = B(!1, {
                transform: b
            });
            showNavigators = B(!0, {
                transform: b
            });
            tabindex = B(0, {
                transform: U
            });
            id = j(vt("pn_id_"));
            _componentStyle = d(Ct);
            updateValue(e) {
                this.value.update(() => e)
            }
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275cmp = m({
                type: t,
                selectors: [
                    ["p-tabs"]
                ],
                hostVars: 8,
                hostBindings: function(n, i) {
                    n & 2 && (s("data-pc-name", "tabs")("id", i.id()), F("p-tabs", !0)("p-tabs-scrollable", i.scrollable())("p-component", !0))
                },
                inputs: {
                    value: [1, "value"],
                    scrollable: [1, "scrollable"],
                    lazy: [1, "lazy"],
                    selectOnFocus: [1, "selectOnFocus"],
                    showNavigators: [1, "showNavigators"],
                    tabindex: [1, "tabindex"]
                },
                outputs: {
                    value: "valueChange"
                },
                features: [W([Ct]), w],
                ngContentSelectors: N,
                decls: 1,
                vars: 0,
                template: function(n, i) {
                    n & 1 && (S(), P(0))
                },
                dependencies: [$],
                encapsulation: 2,
                changeDetection: 0
            })
        }
        return t
    })(),
    Te = (() => {
        class t {
            static\ u0275fac = function(n) {
                return new(n || t)
            };
            static\ u0275mod = K({
                type: t
            });
            static\ u0275inj = Q({
                imports: [Y, Xt, Jt, xt, Gt]
            })
        }
        return t
    })();
var Yt = ["input"],
    Zt = ({
        dt: t
    }) => `
.p-toggleswitch {
    display: inline-block;
    width: ${t("toggleswitch.width")};
    height: ${t("toggleswitch.height")};

}

.p-toggleswitch-input {
    cursor: pointer;
    appearance: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    opacity: 0;
    z-index: 1;
    outline: 0 none;
    border-radius: ${t("toggleswitch.border.radius")};
}

.p-toggleswitch-slider {
    display: inline-block;
    cursor: pointer;
    width: 100%;
    height: 100%;
    border-width: ${t("toggleswitch.border.width")};
    border-style: solid;
    border-color: ${t("toggleswitch.border.color")};
    background: ${t("toggleswitch.background")};
    transition: background ${t("toggleswitch.transition.duration")}, color ${t("toggleswitch.transition.duration")}, border-color ${t("toggleswitch.transition.duration")}, outline-color ${t("toggleswitch.transition.duration")}, box-shadow ${t("toggleswitch.transition.duration")};
    border-radius: ${t("toggleswitch.border.radius")};
    outline-color: transparent;
    box-shadow: ${t("toggleswitch.shadow")};
}

.p-toggleswitch-slider:before {
    position: absolute;
    content: "";
    top: 50%;
    background: ${t("toggleswitch.handle.background")};
    width: ${t("toggleswitch.handle.size")};
    height: ${t("toggleswitch.handle.size")};
    left: ${t("toggleswitch.gap")};
    margin-top: calc(-1 * calc(${t("toggleswitch.handle.size")} / 2));
    border-radius: ${t("toggleswitch.handle.border.radius")};
    transition: background ${t("toggleswitch.transition.duration")}, left ${t("toggleswitch.slide.duration")};
}

.p-toggleswitch.p-toggleswitch-checked .p-toggleswitch-slider {
    background: ${t("toggleswitch.checked.background")};
    border-color: ${t("toggleswitch.checked.border.color")};
}

.p-toggleswitch.p-toggleswitch-checked .p-toggleswitch-slider:before {
    background: ${t("toggleswitch.handle.checked.background")};
    left: calc(${t("toggleswitch.width")} - calc(${t("toggleswitch.handle.size")} + ${t("toggleswitch.gap")}));
}

.p-toggleswitch:not(.p-disabled):has(.p-toggleswitch-input:hover) .p-toggleswitch-slider {
    background: ${t("toggleswitch.hover.background")};
    border-color: ${t("toggleswitch.hover.border.color")};
}

.p-toggleswitch:not(.p-disabled):has(.p-toggleswitch-input:hover) .p-toggleswitch-slider:before {
    background: ${t("toggleswitch.handle.hover.background")};
}

.p-toggleswitch:not(.p-disabled):has(.p-toggleswitch-input:hover).p-toggleswitch-checked .p-toggleswitch-slider {
    background: ${t("toggleswitch.checked.hover.background")};
    border-color: ${t("toggleswitch.checked.hover.border.color")};
}

.p-toggleswitch:not(.p-disabled):has(.p-toggleswitch-input:hover).p-toggleswitch-checked .p-toggleswitch-slider:before {
    background: ${t("toggleswitch.handle.checked.hover.background")};
}

.p-toggleswitch:not(.p-disabled):has(.p-toggleswitch-input:focus-visible) .p-toggleswitch-slider {
    box-shadow: ${t("toggleswitch.focus.ring.shadow")};
    outline: ${t("toggleswitch.focus.ring.width")} ${t("toggleswitch.focus.ring.style")} ${t("toggleswitch.focus.ring.color")};
    outline-offset: ${t("toggleswitch.focus.ring.offset")};
}

.p-toggleswitch.p-invalid > .p-toggleswitch-slider {
    border-color: ${t("toggleswitch.invalid.border.color")};
}

.p-toggleswitch.p-disabled {
    opacity: 1;
}

.p-toggleswitch.p-disabled .p-toggleswitch-slider {
    background: ${t("toggleswitch.disabled.background")};
}

.p-toggleswitch.p-disabled .p-toggleswitch-slider:before {
    background: ${t("toggleswitch.handle.disabled.background")};
}
`,
    te = {
        root: {
            position: "relative"
        }
    },
    ee = {
        root: ({
            instance: t
        }) => ({
            "p-toggleswitch p-component": !0,
            "p-toggleswitch-checked": t.checked(),
            "p-disabled": t.disabled,
            "p-invalid": t.invalid
        }),
        input: "p-toggleswitch-input",
        slider: "p-toggleswitch-slider"
    },
    It = (() => {
        class t extends X {
            name = "toggleswitch";
            theme = Zt;
            classes = ee;
            inlineStyles = te;
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275prov = z({
                token: t,
                factory: t.\u0275fac
            })
        }
        return t
    })(),
    ie = {
        provide: dt,
        useExisting: I(() => Bt),
        multi: !0
    },
    Bt = (() => {
        class t extends x {
            style;
            styleClass;
            tabindex;
            inputId;
            name;
            disabled;
            readonly;
            trueValue = !0;
            falseValue = !1;
            ariaLabel;
            ariaLabelledBy;
            autofocus;
            onChange = new ot;
            input;
            modelValue = !1;
            focused = !1;
            onModelChange = () => {};
            onModelTouched = () => {};
            _componentStyle = d(It);
            onClick(e) {
                !this.disabled && !this.readonly && (this.modelValue = this.checked() ? this.falseValue : this.trueValue, this.onModelChange(this.modelValue), this.onChange.emit({
                    originalEvent: e,
                    checked: this.modelValue
                }), this.input.nativeElement.focus())
            }
            onFocus() {
                this.focused = !0
            }
            onBlur() {
                this.focused = !1, this.onModelTouched()
            }
            writeValue(e) {
                this.modelValue = e, this.cd.markForCheck()
            }
            registerOnChange(e) {
                this.onModelChange = e
            }
            registerOnTouched(e) {
                this.onModelTouched = e
            }
            setDisabledState(e) {
                this.disabled = e, this.cd.markForCheck()
            }
            checked() {
                return this.modelValue === this.trueValue
            }
            static\ u0275fac = (() => {
                let e;
                return function(i) {
                    return (e || (e = h(t)))(i || t)
                }
            })();
            static\ u0275cmp = m({
                type: t,
                selectors: [
                    ["p-inputSwitch"],
                    ["p-inputswitch"]
                ],
                viewQuery: function(n, i) {
                    if (n & 1 && C(Yt, 5), n & 2) {
                        let o;
                        l(o = c()) && (i.input = o.first)
                    }
                },
                inputs: {
                    style: "style",
                    styleClass: "styleClass",
                    tabindex: [2, "tabindex", "tabindex", U],
                    inputId: "inputId",
                    name: "name",
                    disabled: [2, "disabled", "disabled", b],
                    readonly: [2, "readonly", "readonly", b],
                    trueValue: "trueValue",
                    falseValue: "falseValue",
                    ariaLabel: "ariaLabel",
                    ariaLabelledBy: "ariaLabelledBy",
                    autofocus: [2, "autofocus", "autofocus", b]
                },
                outputs: {
                    onChange: "onChange"
                },
                features: [W([ie, It]), w],
                decls: 5,
                vars: 22,
                consts: [
                    ["input", ""],
                    [3, "click", "ngClass", "ngStyle"],
                    [1, "p-hidden-accessible"],
                    ["type", "checkbox", "role", "switch", 3, "focus", "blur", "ngClass", "checked", "disabled", "pAutoFocus"],
                    [3, "ngClass"]
                ],
                template: function(n, i) {
                    if (n & 1) {
                        let o = O();
                        T(0, "div", 1), k("click", function(p) {
                            return f(o), v(i.onClick(p))
                        }), T(1, "div", 2)(2, "input", 3, 0), k("focus", function() {
                            return f(o), v(i.onFocus())
                        })("blur", function() {
                            return f(o), v(i.onBlur())
                        }), L()(), M(4, "span", 4), L()
                    }
                    n & 2 && (lt(i.styleClass), _("ngClass", i.cx("root"))("ngStyle", i.sx("root"))("ngStyle", i.style), s("data-pc-name", "inputswitch")("data-pc-section", "root"), u(), s("data-pc-section", "hiddenInputWrapper")("data-p-hidden-accessible", !0), u(), _("ngClass", i.cx("input"))("checked", i.checked())("disabled", i.disabled)("pAutoFocus", i.autofocus), s("id", i.inputId)("aria-checked", i.checked())("aria-labelledby", i.ariaLabelledBy)("aria-label", i.ariaLabel)("name", i.name)("tabindex", i.tabindex)("data-pc-section", "hiddenInput"), u(2), _("ngClass", i.cx("slider")), s("data-pc-section", "slider"))
                },
                dependencies: [$, G, bt, yt, wt, D],
                encapsulation: 2,
                changeDetection: 0
            })
        }
        return t
    })(),
    Ne = (() => {
        class t {
            static\ u0275fac = function(n) {
                return new(n || t)
            };
            static\ u0275mod = K({
                type: t
            });
            static\ u0275inj = Q({
                imports: [Bt, D, D]
            })
        }
        return t
    })();
var Qe = (() => {
    class t {
        transform(e, n, i) {
            return i = i && i.toLocaleLowerCase(), typeof(e && e.length ? e[0][n] : null) == "boolean" ? i ? i.indexOf("t") ? (e || []).filter(p => !p[n]) : (e || []).filter(p => p[n]) : e : i ? (e || []).filter(a => a[n] ? a[n].toLocaleLowerCase().indexOf(i) !== -1 : !1) : e
        }
        static {
            this.\u0275fac = function(n) {
                return new(n || t)
            }
        }
        static {
            this.\u0275pipe = st({
                name: "filter",
                type: t,
                pure: !0
            })
        }
    }
    return t
})();
export {
    xt as a, Gt as b, Jt as c, Xt as d, Y as e, Te as f, Bt as g, Ne as h, Qe as i
};
/**i18n:6e1dbccd4192d215e143e99fb4b6a095cee3c871f5aa7cd380ca91231f35e8e0*/